# Peerunity Official Development Repository

## What is Peerunity?

Peerunity is a Peercoin network-compatible, community-developed wallet client.

The project has been designed to provide people with a stable, secure, and feature-rich alternative to the Peercoin reference wallet (http://github.com/ppcoin/ppcoin). 

To help faciliate broad community cooperation, a number of trusted Peercoin/Peershares community leaders have write permissions to the project's codebase, allowing for decentralization and continuity. Community members, old and new, are encouraged to find ways to contribute to the success of the project. If you have experience with programming, product design, QA engineering, translation, or have a different set of skills that you want to bring to the project, your involvement is appreciated!


### Peerunity Resources
* Source: [Source Code](https://github.com/Peerunity/Peerunity)
* Documentation: [Build Instructions](https://github.com/Peerunity/Peerunity/tree/master/doc)
* Support: [Peerunity Forum](http://www.peercointalk.org/index.php?board=64.0), [Issue Tracker](https://github.com/Peerunity/Peerunity/issues?state=open)


### About Peercoin
[Peercoin](http://peercoin.net/) (abbreviated PPC), also known as PPCoin and Peer-to-Peer Coin is the first [cryptocurrency](https://en.wikipedia.org/wiki/Cryptocurrency) design introducing [proof-of-stake consensus](http://peercoin.net/bin/peercoin-paper.pdf) as a security model, with a combined [proof-of-stake](http://peercoin.net/bin/peercoin-paper.pdf)/[proof-of-work](https://en.wikipedia.org/wiki/Proof-of-work_system) minting system. Peercoin is based on [Bitcoin](http://bitcoin.org/en/), while introducing many important innovations to cryptocurrency field including new security model, energy efficiency, better minting model and more adaptive response to rapid change in network computation power.


## Repo Guidelines

* Developers work in their own forks, then submit pull requests when they think their feature or bug fix is ready.
* If it is a simple/trivial/non-controversial change, then one of the development team members simply pulls it.
* If it is a more complicated or potentially controversial change, then the change may be discussed in the pull request, or the requester may be asked to start a discussion [Peercoin Talk](http://www.peercointalk.org/) for a broader community discussion. 
* The patch will be accepted if there is broad consensus that it is a good thing. Developers should expect to rework and resubmit patches if they don't match the project's coding conventions (see coding.txt) or are controversial.
* From time to time a pull request will become outdated. If this occurs, and the pull is no longer automatically mergeable; a comment on the pull will be used to issue a warning of closure.  Pull requests closed in this manner will have their corresponding issue labeled 'stagnant'.
* For development ideas and help see [here](http://www.peercointalk.org/index.php?board=10.0).


## Translation Guidelines

Changes to translations as well as new translations can be submitted to
[Peerunity's Get Localization page](http://www.getlocalization.com/Peerunity/).

Translations are periodically pulled from Get Localization and merged into the git repository.

Important: We do not accept translation changes as GitHub pull requests because the next
pull from Get Localization would automatically overwrite them again.
